;Comtois le 07/03/06

XIncludeFile "Include\Maths.Pbi"
XIncludeFile "Include\Octree.Pbi"

#Epsilon=0.0001

;- Les structures
Structure s_Angles
   AngleX.f   
   AngleY.f   
   AngleZ.f     
EndStructure

Structure s_Entity Extends s_Angles
   No.l
   Rayon.s_Rayon
EndStructure

Structure s_Triangle 
	P1.s_Vecteur
 	P2.s_Vecteur
 	P3.s_Vecteur
	Constante.f
 	Normale.s_Vecteur 
EndStructure

Structure s_Collision 
	RayonEllipsoide.s_Vecteur ;  Rayon de l'ellipsoide
 	;Informations sur le dplacement dans le monde R3
 	VitesseDansR3.s_Vecteur
 	PositionDansR3.s_Vecteur
 	Vitesse.f
	;Changement de Base vectorielle, BaseE = Base de l'ellipsoide
 	VitesseDansBaseE.s_Vecteur
 	VitesseDansBaseENormee.s_Vecteur
 	PointOrigine.s_Vecteur
 	;Informations collisions
 	CollisionDetectee.l
 	DistanceLaPlusCourte.f
 	PointIntersection.s_Vecteur	 
EndStructure

Structure s_Plan
	Constante.f
 	Origine.s_Vecteur
 	Normale.s_Vecteur
EndStructure

Structure s_WorldCollision
    FichierTriangles.s
    FichierMesh.s
    FichierSkyBox.s
    NombreRebouclage.l  
    RebouclageMaxi.l
    DistanceTresFaible.f 
    Gravite.s_Vecteur
    *ListeTriangles.s_Triangle
    NbTriangles.l
    Boite.s_Boite
    *Racine.s_Octree
EndStructure

Structure s_Reponse
    PositionFinale.s_Vecteur
    PositionInitiale.s_Vecteur
    Vitesse.s_Vecteur
EndStructure

Declare Normalise(*N.s_Vecteur)
Declare CollisionSphereTriangle(*Entity.s_Collision, *Boite.s_Boite, *World3D.s_WorldCollision)
Declare CollisionRayonTriangle(*Rayon.s_Rayon, *Boite.s_Boite, *ListeTriangles.s_Triangle, NbTriangles)
; IDE Options = PureBasic v4.00 - Beta 6 (Windows - x86)
; CursorPosition = 69
; FirstLine = 30
; Folding = --