Procedure IntersectionRayonBoite(*Rayon.s_Rayon, *Boite.s_Boite)
	
	Protected I_Proche.f,I_Loin.f
	Protected t0.f,t1.f
	
	I_Proche.f = -2147483648.0
	I_Loin.f = 2147483647.0 
	
	;Test les plans X
	If *Rayon\DirectionDansBaseE\x = 0.0
		If *Rayon\OrigineDansBaseE\X < *Boite\Xmini Or *Rayon\OrigineDansBaseE\X > *Boite\Xmaxi  
			ProcedureReturn #False
		EndIf
	Else
		;Calcul les distances des intersections Rayon/plan 
		t0 = (*Boite\Xmini - *Rayon\OrigineDansBaseE\x) / *Rayon\DirectionDansBaseE\x
		t1 = (*Boite\Xmaxi - *Rayon\OrigineDansBaseE\x) / *Rayon\DirectionDansBaseE\x	
		
		If t0 > t1
			Swap t0,t1
		EndIf
		If t0 > I_Proche
			I_Proche = t0
		EndIf
		If t1 < I_Loin
			I_Loin = t1
		EndIf
		If I_Proche > I_Loin Or I_Loin < #Epsilon
			ProcedureReturn #False
		EndIf
	EndIf
	
	;Test les plans Y
	If *Rayon\DirectionDansBaseE\y = 0.0
		If *Rayon\OrigineDansBaseE\y < *Boite\Ymini Or *Rayon\OrigineDansBaseE\y > *Boite\Ymaxi  
			ProcedureReturn #False
		EndIf
	Else
		;Calcul les distances des intersections Rayon/plan 
		t0 = (*Boite\Ymini - *Rayon\OrigineDansBaseE\y) / *Rayon\DirectionDansBaseE\y
		t1 = (*Boite\Ymaxi - *Rayon\OrigineDansBaseE\y) / *Rayon\DirectionDansBaseE\y	
		
		If t0 > t1
			Swap t0,t1
		EndIf
		If t0 > I_Proche
			I_Proche = t0
		EndIf
		If t1 < I_Loin
			I_Loin = t1
		EndIf
		If I_Proche > I_Loin Or I_Loin < #Epsilon
			ProcedureReturn #False
		EndIf
	EndIf	
	
	;Test les plans Z
	If *Rayon\DirectionDansBaseE\z = 0.0
		If *Rayon\OrigineDansBaseE\z < *Boite\Zmini Or *Rayon\OrigineDansBaseE\z > *Boite\Zmaxi  
			ProcedureReturn #False
		EndIf
	Else
		;Calcul les distances des intersections Rayon/plan 
		t0 = (*Boite\Zmini - *Rayon\OrigineDansBaseE\z) / *Rayon\DirectionDansBaseE\z
		t1 = (*Boite\Zmaxi - *Rayon\OrigineDansBaseE\z) / *Rayon\DirectionDansBaseE\z	
		
		If t0 > t1
			Swap t0,t1
		EndIf
		If t0 > I_Proche
			I_Proche = t0
		EndIf
		If t1 < I_Loin
			I_Loin = t1
		EndIf
		If I_Proche > I_Loin Or I_Loin < #Epsilon
			ProcedureReturn #False
		EndIf
	EndIf		
						
	ProcedureReturn #True	
					
EndProcedure
; IDE Options = PureBasic v4.00 - Beta 5 (Windows - x86)
; Folding = -