;Comtois 08/03/06
;PB4.0 Beta 5

;-Initialisation
If ExamineDesktops()
  ScreenWidth  = DesktopWidth(0)
  ScreenHeight = DesktopHeight(0)
  ScreenDepth  = DesktopDepth(0)
EndIf
 
If InitEngine3D() = 0
  MessageRequester( "Erreur" , "Impossible d'initialiser la 3D , vrifiez la prsence de engine3D.dll" , 0 )
  End
EndIf

 Add3DArchive("Data\"        , #PB_3DArchive_FileSystem) 
 Add3DArchive("Data\skybox.zip", #PB_3DArchive_Zip)
 Parse3DScripts()
If InitSprite() = 0 Or InitKeyboard() = 0 Or InitMouse() = 0
  MessageRequester( "Erreur" , "Impossible d'initialiser DirectX 7 Ou plus" , 0 )
  End
ElseIf OpenScreen( ScreenWidth , ScreenHeight , ScreenDepth , "Demo 3D" ) = 0
  MessageRequester( "Erreur" , "Impossible d'ouvrir l'cran " , 0 )
  End
EndIf

#PlayerSpeed = 7

;- Camera
CreateCamera(0, 0, 0 , 100 , 100)
CameraLocate(0,200,130,300)
CameraFOV(0,50*0.0174533)

;-Mesh
Castle = LoadMesh(#PB_Any, "temple.Mesh")
CreateEntity(#PB_Any, MeshID(Castle), 0)


Define.f KeyX,KeyY,MouseX,MouseY
Repeat
  If ExamineKeyboard()
   
    If KeyboardPushed(#PB_Key_Left)
      KeyX = -#PlayerSpeed
    ElseIf KeyboardPushed(#PB_Key_Right)
      KeyX = #PlayerSpeed
    Else
      KeyX = 0
    EndIf
                   
    If KeyboardPushed(#PB_Key_Up)
      KeyY = -#PlayerSpeed
    ElseIf KeyboardPushed(#PB_Key_Down)
      KeyY = #PlayerSpeed
    Else
      KeyY = 0
    EndIf
         
  EndIf
       
  ExamineMouse()
  MouseX = -(MouseDeltaX()/5)*#PlayerSpeed/4
  MouseY =  -(MouseDeltaY()/5)*#PlayerSpeed/4
 
  RotateCamera(0, MouseX, MouseY, 0)
  MoveCamera(0, KeyX, 0, KeyY)
  
  RenderWorld()
  
  StartDrawing(ScreenOutput())
  DrawText(0,0,StrF(Engine3DFrameRate(#PB_Engine3D_Current),0))
  StopDrawing()
  FlipBuffers()
   
Until KeyboardPushed(#PB_Key_Escape)


; IDE Options = PureBasic v4.00 - Beta 5 (Windows - x86)
; CursorPosition = 31
; FirstLine = 3
; Folding = -