Procedure Init(*Screen.s_Screen)
	Protected Texte$
	
	If ExamineDesktops()
	    *Screen\Width  = DesktopWidth(0)
	    *Screen\Height = DesktopHeight(0)
	    *Screen\Depth  = DesktopDepth(0)
	EndIf

	*Screen\Width  = 1024
	*Screen\Height = 768
	*Screen\Depth  = 32
	*Screen\Width_2  = *Screen\Width/2
	*Screen\Height_2 = *Screen\Height/2
	  
	If InitEngine3D() = 0
	    MessageRequester( "Erreur" , "Impossible d'initialiser la 3D , vrifiez la prsence de engine3D.dll" , 0 )
	    End
	ElseIf InitSprite() = 0 Or InitKeyboard() = 0 Or InitMouse() = 0 Or InitSound() = 0
	    MessageRequester( "Erreur" , "Impossible d'initialiser DirectX 7 Ou plus" , 0 )
	    End
	ElseIf OpenScreen(*Screen\Width , *Screen\Height , *Screen\Depth , "Demo 3D" ) = 0
	    MessageRequester( "Erreur" , "Impossible d'ouvrir l'cran " , 0 )
	    End
	EndIf
	
	;Add3DArchive("Data\"          , #PB_3DArchive_FileSystem)  
	Add3DArchive("Temple\"        , #PB_3DArchive_FileSystem) 
	Add3DArchive("Sphere\"        , #PB_3DArchive_FileSystem)  
	Add3DArchive("Robot\"         , #PB_3DArchive_FileSystem)  
	Add3DArchive("Textures\"      , #PB_3DArchive_FileSystem)
	Add3DArchive("Data\skybox.zip", #PB_3DArchive_Zip)
	Parse3DScripts()
	
	LoadFont(0,"Arial",72)
	
	Texte$="Please Wait..."
	StartDrawing(ScreenOutput())
	DrawingFont(FontID(0)) 
	DrawingMode(#PB_2DDrawing_Transparent)
	DrawText(104, *Screen\Height/2 + 2, Texte$,$FF0000)
	DrawText(100, *Screen\Height/2    , Texte$,$FFFF  )
	StopDrawing()
	FlipBuffers()
EndProcedure
; IDE Options = PureBasic v4.00 - Beta 6 (Windows - x86)
; CursorPosition = 11
; Folding = -